# build/parseReqs.c File Reference

Parse dependency tag from spec file or from auto-dependency generator. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`

Include dependency graph for parseReqs.c:

Go to the source code of this file.

## Defines
#define | _RPMEVR_INTERNAL
#define | SKIPWHITE(_x) {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}
#define | SKIPNONWHITE(_x) {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}
## Functions
rpmRC | parseRCPOT (Spec spec, Package pkg, const char *field, rpmTag tagN, uint32_t index, rpmsenseFlags tagflags)
| Parse dependency relations from spec file and/or autogenerated output buffer.

## Detailed Description

Parse dependency tag from spec file or from auto-dependency generator.

Definition in file parseReqs.c.

## Define Documentation

#define _RPMEVR_INTERNAL

Definition at line 9 of file parseReqs.c.

#define SKIPNONWHITE | ( | _x |  | ) | {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}

Definition at line 14 of file parseReqs.c.

#define SKIPWHITE | ( | _x |  | ) | {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}

Definition at line 13 of file parseReqs.c.